# Analytics Event Schema

### Wallet Interaction

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data": {
		"timestamp": "2022-07-11T09:16:48.917Z",
    "event_name": "wallet_interaction",
    "event_properties": {
        "pageName": "wallet",
        "action": "load_success"
    }
   }
}
```

| FIELD       | TYPE   | DESCRIPTION                                                                        | VALUES                |
| ----------- | ------ | ---------------------------------------------------------------------------------- | --------------------- |
| timestamp   | string | UTC timestamp of the event.                                                        | Any String Value      |
| eventName   | enum   | Type of a particular event.                                                        | "ANALYTICS"           |
| event\_name | enum   | Name of a particular event.                                                        | "wallet\_interaction" |
| pageName    | enum   | (any string representing client web app screen name): values depend on client DEVs | "game"                |
| action      | enum   | What action is being done like a copy, share, etc                                  | "LOAD\_SUCCESS"       |
| user\_id    | string | User Identification.                                                               | Any String Value      |

###

### Coupon Code Copy Interaction

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data":{
    "timestamp": "2022-07-11T13:12:37.729Z",
    "event_name": "coupon_code_interaction",
    "event_properties": {
        "page_name": "not_available",
        "action": "not_available",
        "game_name": "not_available",
        "value": "MW10KGDRV0",
        "campaign_id": "not_available",
        "reward_user_id": "not_available"
    }
   }
}
```

| FIELD            | TYPE   | DESCRIPTION                                                                        | VALUES                      |
| ---------------- | ------ | ---------------------------------------------------------------------------------- | --------------------------- |
| timestamp        | string | UTC timestamp of the event.                                                        | Any String Value            |
| eventName        | enum   | Type of a particular event.                                                        | "ANALYTICS"                 |
| event\_name      | enum   | Name of a particular event.                                                        | "coupon\_code\_interaction" |
| pageName         | enum   | (any string representing client web app screen name): values depend on client DEVs | "game"                      |
| action           | enum   | What action is being done like a copy, share, etc                                  | "OPEN\_DEEPLINK"            |
| game\_name       | enum   | Reward experience name.                                                            | "gamechallenge"             |
| campaign\_id     | string | This represents an instance of the campaign.                                       | Any String Value            |
| reward\_user\_id | string | This represents an instance of the reward.                                         | Any String Value            |
| user\_id         | string | User Identification.                                                               | Any String Value            |

###

### **CTA Button Interaction**

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data":{
    "timestamp": "2022-07-11T06:05:45.043Z",
    "event_name": "cta_interaction",
    "event_properties": {
        "page_name": "reward_intro",
        "action": "PLAY",
        "campaign_id": "ba0ca2f3-4651-48ae-9f00-9f7229b45cd5",
        "component_name": "button",
        "reward_user_id": "2b2eb949-a521-4dbb-8c3a-f159f62928bc",
        "user_name": "not_available",
        "time_left": "not_available",
        "value": "Play Quiz"
    }
   }
}
```

| FIELD            | TYPE   | DESCRIPTION                                                                        | VALUES             |
| ---------------- | ------ | ---------------------------------------------------------------------------------- | ------------------ |
| timestamp        | string | UTC timestamp of the event.                                                        | Any String Value   |
| eventName        | enum   | Type of a particular event.                                                        | "ANALYTICS"        |
| event\_name      | enum   | Name of a particular event.                                                        | "cta\_interaction" |
| pageName         | enum   | (any string representing client web app screen name): values depend on client DEVs | "game"             |
| action           | enum   | What action is being done like a copy, share, etc                                  | "OPEN\_DEEPLINK"   |
| campaign\_id     | string | This represents an instance of the campaign.                                       | Any String Value   |
| component\_name  | string | Name of component that is in use.                                                  | Any String Value   |
| reward\_user\_id | string | This represents an instance of the reward.                                         | Any String Value   |
| user\_name       | string | Name of logged-in user                                                             | Any String Value   |
| time\_left       | string | How many seconds users to answer                                                   | Any String Value   |
| value            | string | Text on CTA                                                                        | Any String Value   |
| user\_id         | string | User Identification.                                                               | Any String Value   |

###

### **Reward Interaction**

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data":{
    "timestamp": "2022-05-27T04:46:51.878Z",
    "event_name": "reward_interaction",
    "event_properties": {
        "page_name": "reward",
        "action": "PLAYED", 
        "game_name": "spinthewheel",
        "state": "pristine",
        "campaign_id": "a1850915-ad4c-4b11-a093-e13d64362778",
        "reward_user_id": "4d36e9a7-913a-4fa6-9f31-0c96227bd77b",
        "user_id": "ba69a092-9d0f-4f14-99bc-393ddf1dbb66",
        "status": "redeemable-seen",
        "selected_slot_index": 2,
        "reward_name": "100 DotCoins",
        "reward_type": "points",
        "code": "XBDSA65",
        "reward_amount": 100,
        "details": {
            "campaignName": "Daily Reward"
        }
    }
   }
}
```

| FIELD                 | TYPE   | DESCRIPTION                                                                        | VALUES                |
| --------------------- | ------ | ---------------------------------------------------------------------------------- | --------------------- |
| timestamp             | string | UTC timestamp of the event.                                                        | Any String Value      |
| eventName             | enum   | Type of a particular event.                                                        | "ANALYTICS"           |
| event\_name           | enum   | Name of a particular event.                                                        | "reward\_interaction" |
| pageName              | enum   | (any string representing client web app screen name): values depend on client DEVs | "reward\_intro"       |
| action                | enum   | What action is being done like a copy, share, etc                                  | "PLAY"                |
| game\_name            | enum   | Title of game.                                                                     | "spinthewheel"        |
| state                 | enum   | Define the state of reward.                                                        | "pristine"            |
| campaign\_id          | string | This represents an instance of the campaign.                                       | Any String Value      |
| status                | enum   | Describes the state of the coupon                                                  | "redeemable-unseen"   |
| selected\_slot\_index | number | Reward slot index                                                                  | Any Number Value      |
| reward\_name          | string | Title of reward                                                                    | Any String Value      |
| reward\_type          | string | Define the type of reward as user coupon code, discount, etc                       | Any String Value      |
| code                  | string | coupon code value                                                                  | Any String Value      |
| reward\_amount        | number | Amount of reward that is won by the user                                           | Any Number Value      |
| details               | string | Details around reward.                                                             | Any String Value      |
| campaignName          | string | Tittle of the campaign.                                                            | Any String Value      |
| user\_id              | string | User Identification.                                                               | Any String Value      |

###

### **Quiz Interaction**

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data":{
    "timestamp": "2022-07-11T13:49:19.136Z",
    "event_name": "quiz_interaction",
    "event_properties": {
        "session_id": "0.6494546164134896",
        "page_name": "game",
        "action": "answer_question",
        "campaign_id": "ba0ca2f3-4651-48ae-9f00-9f7229b45cd5",
        "reward_user_id": "560cad42-d325-465a-8467-1fa0d4060572",
        "question_index": 1,
        "correct_answer": "All of the above",
        "user_answer": "All of the above",
        "is_correct": true,
        "time": "not_available"
    }
   }
}
```

| FIELD            | TYPE    | DESCRIPTION                                                                        | VALUES              |
| ---------------- | ------- | ---------------------------------------------------------------------------------- | ------------------- |
| timestamp        | string  | UTC timestamp of the event.                                                        | Any String Value    |
| eventName        | enum    | Type of a particular event.                                                        | "ANALYTICS"         |
| event\_name      | enum    | Name of a particular event.                                                        | "quiz\_interaction" |
| session\_id      | string  | It would unique for every app launch.                                              | Any String Value    |
| pageName         | enum    | (any string representing client web app screen name): values depend on client DEVs | "game"              |
| action           | enum    | What action is being done like a copy, share, etc                                  | "OPEN\_DEEPLINK"    |
| campaign\_id     | string  | This represents an instance of the campaign.                                       | Any String Value    |
| reward\_user\_id | number  | This represents an instance of the reward.                                         | Any Number Value    |
| question\_index  | string  | Denotes index number of questions in total questions.                              | Any String Value    |
| correct\_answer  | string  | Value of correct answers.                                                          | Any String Value    |
| user\_answer     | string  | The chosen by the user.                                                            | Any String Value    |
| is\_correct      | boolean | Tells chosen answer is true or false                                               | Any String Value    |
| time             | string  | How many seconds users to answer                                                   | Any String Value    |
| user\_id         | string  | User Identification.                                                               | Any String Value    |

### **Program Interaction**

```jsx
{
  "user_id":"xyz",
   "eventName":"ANALYTICS",
   "data":{
    "timestamp": "2022-07-11T09:00:47.086Z",
    "event_name": "program_interaction",
    "event_properties": {
        "page_name": "program",
        "action": "load_success",
        "program_name": "gamechallenge",
        "campaign_id": "11c941dc-8bdb-4acd-964d-8f67012b64d2",
        "component_name": "not_available",
        "group_name": "not_available",
        "activity": "not_available"
    }
	}
}
```

| FIELD           | TYPE   | DESCRIPTION                                                                        | VALUES                 |
| --------------- | ------ | ---------------------------------------------------------------------------------- | ---------------------- |
| timestamp       | string | UTC timestamp of the event.                                                        | Any String Value       |
| eventName       | enum   | Type of a particular event.                                                        | "ANALYTICS"            |
| event\_name     | enum   | Name of a particular event.                                                        | "program\_interaction" |
| pageName        | enum   | (any string representing client web app screen name): values depend on client DEVs | "game"                 |
| action          | enum   | What action is being done like a copy, share, etc                                  | "LOAD\_SUCCESS"        |
| program\_name   | enum   | Name of a particular program                                                       | "gamechallenge"        |
| campaign\_id    | string | This represents an instance of the campaign.                                       | Any String Value       |
| component\_name | string | Name of component that is in use.                                                  | Any String Value       |
| group\_name     | string | Activity group name.                                                               | Any String Value       |
| activity        | string | Name of activity or task.                                                          | Any String Value       |
| user\_id        | string | User Identification.                                                               | Any String Value       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.customerglu.com/schema/webview-callback-schema/analytics-event-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
